.uve-stats-editor-indicators .uve-stats-editor-indicators {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.uve-stats-editor-indicators .uve-stats-editor-indicators-list {
    display: flex;
    flex-direction: column;
    margin: 10px 0;
}

.uve-stats-editor-indicators .uve-stats-editor-indicator {
    display: flex;
    flex-direction: row;
    gap: 10px;
    
    padding: 10px 0;
    padding-left: 10px;
}

.uve-stats-editor-indicators .uve-stats-editor-indicator .row {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.uve-stats-editor-indicators .uve-stats-editor-indicator .grow {
    flex-grow: 1;
}

.uve-stats-editor-indicators .uve-stats-editor-indicator .label {
    font-size: 11px;
    opacity: 0.8;
}

.uve-stats-editor-indicators .uve-stats-editor-indicator .input {
   padding: 0px 10px;
   border: 1px solid #ccc;
}

.uve-stats-editor-indicators .uve-stats-editor-indicator:not(:last-child) {
    border-bottom: 1px solid #ccc;
}

.uve-stats-editor-indicators .uve-stats-editor-indicator:nth-child(even) {
    background-color: #f0f0f0;
}


.uve-stats-editor-indicators .uve-stats-editor-indicator-delete-btn {
    background-color: transparent;
    border: none;
    color: rgb(255, 58, 58);
    cursor: pointer;
    font-size: 12px;
}

.uve-stats .chart-dialog-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 1000;

    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease-in-out;
}

.uve-stats .chart-dialog-wrapper.open {
    opacity: 1;
    pointer-events: auto;
}

.uve-stats .chart-dialog {
    background-color: white;
    padding: 10px 20px;
    border-radius: 6px;
    width: 80%;
    height: 80vh;
    max-height: 80vh;

    display: flex;
    flex-direction: column;
    gap: 20px;

    
}

.uve-stats .chart-dialog .header {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.uve-stats .chart-dialog .header .header-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
   
}

.uve-stats .chart-dialog .header .header-content .title {
    font-size: 18px;
    font-weight: bold;
    text-transform: uppercase;
}

.uve-stats .chart-dialog .header .close-button {
    background-color: transparent;
    border: var(--color-primary) solid 2px;
    color: var(--color-primary);
    border-radius: 50%;
    width: 30px;
    height: 30px;
    min-width: 30px;
    min-height: 30px;
    position: relative;


    padding-top: 1px;
    padding-left: 1px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

 .uve-stats .chart-dialog .header .close-button svg {
    width: 40px;
    height: 40px;
    position: absolute;
    top: 50%;
    right: 48%;
    transform: translate(50%, -50%);
    pointer-events: none;
 }

.uve-stats .chart-dialog .chart-container {
    flex-grow: 1;
}

.uve-stats .chart-dialog .loading {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.uve-stats .chart-dialog .loading.hidden {
    display: none !important;
}

.uve-stats .chart-dialog .loading .loading-spinner {
    display: inline-block;
    width: 20px;
    height: 20px;
    border: 2px solid #ccc;
    border-top: 2px solid #24594F;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}